#ifndef _MACROS_H_
#define _MACROS_H_

#include <unistd.h>

// determine file existance
#define EXISTS(fn)            (access(fn, F_OK) == 0)

// determine file executable permission
#define IS_EXECUTABLE(fn)     (access(fn, X_OK) == 0)

// this is strange, but it's the only solution I found
// to make a string out of a non-string constant
#define STR(s)                #s
#define XSTR(s)               STR(s)

// index positions of game detail & image checker tabs
#define QMC2_PREVIEW_INDEX	0
#define QMC2_FLYER_INDEX	1
#define QMC2_ICON_INDEX		2
#define QMC2_MAMECONFIG_INDEX	2

// index positions of gamelist stack
#define QMC2_GAMELIST_INDEX	0
#define QMC2_HIERARCHY_INDEX	1

// search window timeout in msecs
#define QMC2_SEARCH_TIMEOUT	2000

// buffer size for reading zip-files
#define QMC2_ZIP_BUFFER_SIZE	32768

// process timeout in msecs
#define QMC2_PROCESS_TIMEOUT	25

// update lists every how many milliseconds?
// (for image & sample checkers)
#define QMC2_CHECK_UPDATE	1000

// maximium length of a single filename/path in a ZIP archive
#define QMC2_MAX_PATH_LENGTH	1024

#endif
